import 'reflect-metadata';
import { ControllerDefinitionConstructor, GiuseppePlugin, ParameterDefinitionConstructor, RouteDefinitionConstructor } from '../GiuseppePlugin';
import { ReturnType } from '../routes/ReturnType';
/**
 * Core plugin of giuseppe. Contains all the basic routes, controller and parameter.
 *
 * @export
 * @class GiuseppeCorePlugin
 * @implements {GiuseppePlugin}
 */
export declare class GiuseppeCorePlugin implements GiuseppePlugin {
    readonly returnTypeHandler: ReturnType<any>[];
    readonly controllerDefinitions: ControllerDefinitionConstructor[];
    readonly routeDefinitions: RouteDefinitionConstructor[];
    readonly routeModificators: null;
    readonly parameterDefinitions: ParameterDefinitionConstructor[];
    readonly name: string;
    initialize(): void;
}
