import 'reflect-metadata';
import { ReturnType } from '../../routes/ReturnType';
/**
 * Return type handler for the default return values. Does convert everything into JSON and returns the stringified
 * value to giuseppe and therefore express. If no value is provided, httpStatus.NO_CONTENT (204) is set, otherwise OK (200).
 *
 * @export
 * @class JsonDefaultReturnType
 * @implements {ReturnType<any>}
 */
export declare class JsonDefaultReturnType implements ReturnType<any> {
    type: string;
    getHeaders(): {
        [field: string]: string;
    };
    getStatus(value?: any): number;
    getValue(value: any): string;
}
