"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Error that is thrown when a used definition (route, controller or param definition) is not registered in the
 * giuseppe core. Each definition must be registered within a plugin.
 *
 * @export
 * @class DefinitionNotRegisteredError
 * @extends {Error}
 */
class DefinitionNotRegisteredError extends Error {
    constructor(name) {
        super(`The definition with the name '${name}' is not registered as a plugin within giuseppe.`);
    }
}
exports.DefinitionNotRegisteredError = DefinitionNotRegisteredError;
