"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Error that is thrown, when a route id is duplicated. Default core route ids are: HttpMethod_routeUrl.
 *
 * @export
 * @class DuplicateRouteError
 * @extends {Error}
 */
class DuplicateRouteError extends Error {
    constructor(route) {
        super(`A route with the ID '${route.id}' (method name: '${route.name}', url: '${route.url}') is already registered.`);
    }
}
exports.DuplicateRouteError = DuplicateRouteError;
