"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Error that is thrown when the parsing process of a parameters throws an error.
 * (Runtime error)
 *
 * @export
 * @class ParameterParseError
 * @extends {Error}
 */
class ParameterParseError extends Error {
    constructor(name, innerException) {
        super(`Parsing of the parameter "${name}" threw an error.\nInnerException: ${innerException}`);
        this.innerException = innerException;
    }
}
exports.ParameterParseError = ParameterParseError;
