"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Error that is thrown when the - if provided - validator of a parameter returns "false".
 * (Runtime error)
 *
 * @export
 * @class ParameterValidationFailedError
 * @extends {Error}
 */
class ParameterValidationFailedError extends Error {
    constructor(name, innerException) {
        super(`The validator for the parameter "${name}" was not valid.`);
        this.innerException = innerException;
        if (this.innerException) {
            this.message += `\nThe validator threw an error: ${this.innerException.toString()}`;
        }
    }
}
exports.ParameterValidationFailedError = ParameterValidationFailedError;
