"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Reflect metadata key for route definitions.
 *
 * @type {string}
 */
exports.ROUTE_DEFINITION_KEY = 'giuseppe:RouteDefintion';
/**
 * Enum with all supported http methods from express. Full list is available here:
 * {@link https://expressjs.com/en/api.html#routing-methods|routing-methods}
 *
 * @export
 * @enum {number}
 */
var HttpMethod;
(function (HttpMethod) {
    // Normal http methods
    HttpMethod[HttpMethod["get"] = 0] = "get";
    HttpMethod[HttpMethod["put"] = 1] = "put";
    HttpMethod[HttpMethod["post"] = 2] = "post";
    HttpMethod[HttpMethod["delete"] = 3] = "delete";
    HttpMethod[HttpMethod["head"] = 4] = "head";
    // Pathological
    HttpMethod[HttpMethod["connect"] = 5] = "connect";
    HttpMethod[HttpMethod["options"] = 6] = "options";
    HttpMethod[HttpMethod["trace"] = 7] = "trace";
    // Webdav
    HttpMethod[HttpMethod["copy"] = 8] = "copy";
    HttpMethod[HttpMethod["lock"] = 9] = "lock";
    HttpMethod[HttpMethod["mkcol"] = 10] = "mkcol";
    HttpMethod[HttpMethod["move"] = 11] = "move";
    HttpMethod[HttpMethod["propfind"] = 12] = "propfind";
    HttpMethod[HttpMethod["proppatch"] = 13] = "proppatch";
    HttpMethod[HttpMethod["search"] = 14] = "search";
    HttpMethod[HttpMethod["unlock"] = 15] = "unlock";
    // Subversion
    HttpMethod[HttpMethod["report"] = 16] = "report";
    HttpMethod[HttpMethod["mkactivity"] = 17] = "mkactivity";
    HttpMethod[HttpMethod["checkout"] = 18] = "checkout";
    HttpMethod[HttpMethod["merge"] = 19] = "merge";
    // UPnP
    HttpMethod[HttpMethod["msearch"] = 20] = "msearch";
    HttpMethod[HttpMethod["notify"] = 21] = "notify";
    HttpMethod[HttpMethod["subscribe"] = 22] = "subscribe";
    HttpMethod[HttpMethod["unsubscribe"] = 23] = "unsubscribe";
    // RFC-5789
    HttpMethod[HttpMethod["patch"] = 24] = "patch";
    HttpMethod[HttpMethod["purge"] = 25] = "purge";
})(HttpMethod = exports.HttpMethod || (exports.HttpMethod = {}));
