/**
 * (static) Helper class. Helps build urls (sanitize urls, filter double slashes etc.).
 *
 * @export
 * @static
 * @class UrlHelper
 */
export declare class UrlHelper {
    private constructor();
    /**
     * Builds an url by the given parts. All parts that are entered are first split with a '/' character.
     * Those segments are then processed (leading / removed, etc) and after that joined with slashes.
     *
     * @static
     * @param {...string[]} parts
     * @returns {string}
     * @memberof UrlHelper
     */
    static buildUrl(...parts: string[]): string;
}
